#ifndef MANYRUNSLOGICINFO_HPP_INCLUDED
#define MANYRUNSLOGICINFO_HPP_INCLUDED

#include <vector>
#include "main.hpp"

struct ManyRunsLogicInfo{
    std::vector< bool > isManualOrder;
    std::vector< std::vector< int > > manualOrder;
    
    double maxWasteDamage[MAX_FIELD_SIZE][MAX_FIELD_SIZE];
    
    ManyRunsLogicInfo();
    
    bool setManualOrdering( int id , std::vector< int > order );
};

#endif // MANYRUNSLOGICINFO_HPP_INCLUDED
