#ifndef PLACEDTURRET_HPP_INCLUDED
#define PLACEDTURRET_HPP_INCLUDED

#include "main.hpp"
#include "Turret.hpp"
#include "Field.hpp"

struct PlacedTurret{
    /**
     * The type of the turret
     */
    const Turret *type;
    /**
     * Kill count
     */
    int kills;
    /**
     * Total fire count
     *  Reset each second
     */
    int fires;
    /**
     * Coordinates
     */
    FieldCellCoord place;
    
    PlacedTurret( int x , int y , const Turret *type = NULL );
};

#endif // PLACEDTURRET_HPP_INCLUDED
