#ifndef RUNNINGMOB_HPP_INCLUDED
#define RUNNINGMOB_HPP_INCLUDED

#include "main.hpp"
#include "Mob.hpp"

struct RunningMob{
    /**
     * Mob type
     */
    const Mob *type;
    /**
     * Mob current health
     */
    double health;
    /**
     * Mob position (as offset in the field path[])
     */
    int location;
    
    RunningMob( const Mob *type );
};

#endif // RUNNINGMOB_HPP_INCLUDED
